<html>
<head>
  <script src="/static/dropzone.js"></script>
  
  <link rel="stylesheet" type="text/css" href="/static/bootstrap.min.css">
  <link rel="stylesheet" type="text/css" href="/static/dropzone.css">
  <link rel="stylesheet" type="text/css" href="/static/shell.css">

  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
</head>
<body>
    <nav class="navbar navbar-expand-md navbar-dark bg-dark fixed-top">
        <a class="navbar-brand" href="#">Uploader</a>
        <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarsExampleDefault" aria-controls="navbarsExampleDefault" aria-expanded="false" aria-label="Toggle navigation">
          <span class="navbar-toggler-icon"></span>
        </button>
        <ul class="nav navbar-nav ml-auto">
          <li class="nav-item">
            <a class="nav-link" href="/logout">Logout ({{ userInfos.user }})</a>
          </li>
        </ul>
      </nav>
  
      <main role="main" class="container">
        <br><br><br>
        <div class="starter-template">

          <p class="lead">Méthode 1:</p>
          <p >Pour envoyer un fichier sur "LATELIER", cliquez sur la zone ci-dessous, ou faites un glisser-déposer du ou des fichier(s).</p>
          <div class="dropzone" id="mydropzone"></div>
          
          <br/>
          <br/>

          <p class="lead">Méthode 2:</p>
          <p >En ligne de commande via curl par exemple.</p>

          <div class="shell-wrap">
            <p class="shell-top-bar">/home/</p>
            <ul class="shell-body">
              <li>export TKN=$(curl -X POST '{{config.keycloakAuthServerUrl}}/realms/{{config.keycloakRealm}}/protocol/openid-connect/token'  \<br>
                      -H "Content-Type: application/x-www-form-urlencoded"  \<br>
                      -d "username=LOGIN"  -d 'password=PASSWORD'  -d 'grant_type=password' \<br>
                       -d 'client_id={{config.keycloakResource}}' | jq -r '.access_token')</li>
              <li>curl -H "Authorization: Bearer $TKN" \<br>
                      -F file=@/tmp/BIG_FILE.txt  \<br>
                      {{config.externalDomain}}upload</li>
            </ul>
          </div>

        </div>
      </main>

      <script>
        Dropzone.options.mydropzone = {
          paramName: "file",
          dictDefaultMessage: "Déposez les fichiers ici.",
          url:"/upload"
        }
      </script>


</body>
</html>